TableModelReader

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.pivottable.tablemodelreaders.server
Class TableModelReader

    java.lang.Object
      org.openswing.swing.pivottable.tablemodelreaders.server.TableModelReader

All Implemented Interfaces:
  Reader

public class TableModelReader
extends java.lang.Object
implements Reader

Title: OpenSwing Framework

Description: TableModel reader, used in PivotTableEngine to read data to analyze.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`TableModelReader(java.util.ArrayList valueObjects, java.lang.String[] attributeNames)` Create a reader of a list of ValueObjects, used in PivotTableEngine.
`TableModelReader(javax.swing.table.TableModel model)` Create a reader of TableModel, used in PivotTableEngine.

Method Summary
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int index)`
`java.lang.Object` | `getValueAt(int col)`
`boolean` | `initializeScrolling(InputFilter inputFilter)` Initialize reading.
`boolean` | `nextRow(InputFilter inputFilter)` Get next row to read.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableModelReader

    public TableModelReader(javax.swing.table.TableModel model)

  Create a reader of TableModel, used in PivotTableEngine.

Parameters:
  `model` - TableModel to analyze

### TableModelReader

    public TableModelReader(java.util.ArrayList valueObjects,
                            java.lang.String[] attributeNames)

  Create a reader of a list of ValueObjects, used in PivotTableEngine.

Parameters:
  `valueObjects` - list of ValueObjects to analyze
  `attributeNames` - nome of attributes defined within the ValueObjects, used to define the TableModel

Method Detail

### initializeScrolling

    public boolean initializeScrolling(InputFilter inputFilter)

  Initialize reading.

  Specified by:
    `initializeScrolling` in interface `Reader`
  Parameters:
    `inputFilter` - optional input filter, used to skip rows
  Returns:
    `true` if reader has correctly initialize data to read, `false` otherwise

### nextRow

    public final boolean nextRow(InputFilter inputFilter)

  Get next row to read. Note: this method can be called ONLY if "initializeScrolling" method has already been invoked.

  Specified by:
    `nextRow` in interface `Reader`
  Parameters:
    `inputFilter` - optional input filter, used to skip rows
  Returns:
    `boolean` true if there exists a row, `false` if no other rows are available

### getValueAt

    public final java.lang.Object getValueAt(int col)

  Specified by:
    `getValueAt` in interface `Reader`
  Parameters:
    `col` - column index
  Returns:
    value stored at column index, related to current row

### getColumnCount

    public final int getColumnCount()

  Specified by:
    `getColumnCount` in interface `Reader`
  Returns:
    number of columns defined in TableModel

### getColumnName

    public final java.lang.String getColumnName(int index)

  Specified by:
    `getColumnName` in interface `Reader`
  Returns:
    column name defined in TableModel, related to the specified column index

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD